library AIOETHW;

{$R *.res}

uses
  System.SysUtils, System.Classes,
  DClientSocks in 'DClientSocks.pas',
  CoreExports in 'CoreExports.pas';



function VBAEW_LogEnable: LongBool; stdcall;
begin
  Result := AEW_LogEnable;
end;



function VBAEW_Connect(Host: PAnsiChar; Index: LongInt): Pointer; stdcall;
begin
  Result := AEW_Connect(Host, Index);
end;

function VBAEW_Disconnect(uClientRef: Pointer): LongWord; stdcall;
begin
  Result := AEW_Disconnect(uClientRef);
end;

function VBAEW_SetTimeout(uClientRef: Pointer; TimeoutMS: LongInt): LongWord; stdcall;
begin
  Result := AEW_SetTimeout(uClientRef, TimeoutMS);
end;

function VBAEW_ChangeDeviceIP(uClientRef: Pointer; NewIP: PAnsiChar): LongWord; stdcall;
begin
  Result := AEW_ChangeDeviceIP(uClientRef, NewIP);
end;

function VBAEW_ChangeSubnet(uClientRef: Pointer; NewSubnet: PAnsiChar): LongWord; stdcall;
begin
  Result := AEW_ChangeSubnet(uClientRef, NewSubnet);
end;

function VBAEW_ChangeGateway(uClientRef: Pointer; NewGateway: PAnsiChar): LongWord; stdcall;
begin
  Result := AEW_ChangeGateway(uClientRef, NewGateway);
end;

function VBAEW_ChangeNetworking(uClientRef: Pointer; NewIP, NewSubnet, NewGateway: PAnsiChar): LongWord; stdcall;
begin
  Result := AEW_ChangeNetworking(uClientRef, NewIP, NewSubnet, NewGateway);
end;

function VBAEW_GetStatus(uClientRef: Pointer; pStatusBytes: PLongInt; pStatus: PByte): LongWord; stdcall;
begin
  Result := AEW_GetStatus(uClientRef, pStatusBytes, pStatus);
end;



function VBAEW_DIO_WriteAll(uClientRef: LongWord; pDataBytes: PLongInt; pData: PByte): LongWord; stdcall;
begin
  Result := VBAEW_DIO_WriteAll(uClientRef, pDataBytes, pData);
end;

function VBAEW_DIO_ReadAll(uClientRef: LongWord; pDataBytes: PLongInt; pData: PByte): LongWord; stdcall;
begin
  Result := VBAEW_DIO_ReadAll(uClientRef, pDataBytes, pData);
end;



function VBAEW_DEB_StrToStr(uClientRef: Pointer; pSendPacketBytes: PLongInt; pSendPacket: PAnsiChar; pReplyPacketBytes: PLongInt; pReplyPacket: PAnsiChar): LongWord; stdcall;
begin
  Result := AEW_DEB_StrToStr(uClientRef, pSendPacketBytes, pSendPacket, pReplyPacketBytes, pReplyPacket);
end;





exports
  VBAEW_DEB_StrToStr    , AEW_DEB_StrToStr     name '_AEW_DEB_StrToStr'    , AEW_DEB_StrToStr    ,
  //VBAEW_Stream_Clear       , AEW_Stream_Clear        name '_AEW_Stream_Clear'       , AEW_Stream_Clear       ,
  //VBAEW_Stream_Go          , AEW_Stream_Go           name '_AEW_Stream_Go'          , AEW_Stream_Go          ,
  //VBAEW_Stream_SetBlockSize, AEW_Stream_SetBlockSize name '_AEW_Stream_SetBlockSize', AEW_Stream_SetBlockSize,

  //VBAEW_DIO_Read8       , AEW_DIO_Read8        name '_AEW_DIO_Read8'       , AEW_DIO_Read8       ,
  VBAEW_DIO_ReadAll     , AEW_DIO_ReadAll      name '_AEW_DIO_ReadAll'     , AEW_DIO_ReadAll     ,
  //VBAEW_DIO_Write8      , AEW_DIO_Write8       name '_AEW_DIO_Write8'      , AEW_DIO_Write8      ,
  VBAEW_DIO_WriteAll    , AEW_DIO_WriteAll     name '_AEW_DIO_WriteAll'    , AEW_DIO_WriteAll    ,

  VBAEW_GetStatus       , AEW_GetStatus        name '_AEW_GetStatus'       , AEW_GetStatus       ,
  VBAEW_ChangeNetworking, AEW_ChangeNetworking name '_AEW_ChangeNetworking', AEW_ChangeNetworking,
  VBAEW_ChangeGateway   , AEW_ChangeGateway    name '_AEW_ChangeGateway'   , AEW_ChangeGateway   ,
  VBAEW_ChangeSubnet    , AEW_ChangeSubnet     name '_AEW_ChangeSubnet'    , AEW_ChangeSubnet    ,
  VBAEW_ChangeDeviceIP  , AEW_ChangeDeviceIP   name '_AEW_ChangeDeviceIP'  , AEW_ChangeDeviceIP  ,
  VBAEW_SetTimeout      , AEW_SetTimeout       name '_AEW_SetTimeout'      , AEW_SetTimeout      ,
  VBAEW_Disconnect      , AEW_Disconnect       name '_AEW_Disconnect'      , AEW_Disconnect      ,
  VBAEW_Connect         , AEW_Connect          name '_AEW_Connect'         , AEW_Connect         ,
  VBAEW_LogEnable       , AEW_LogEnable        name '_AEW_LogEnable'       , AEW_LogEnable       ;

begin
end.
